package de.intevation.flys.backend;

public abstract class Credentials
{
    protected String   user;
    protected String   password;
    protected String   dialect;
    protected String   driver;
    protected String   url;
    protected Class [] classes;

    public Credentials() {
    }

    public Credentials(
        String   user,
        String   password,
        String   dialect,
        String   driver,
        String   url,
        Class [] classes
    ) {
        this.user     = user;
        this.password = password;
        this.dialect  = dialect;
        this.driver   = driver;
        this.url      = url;
        this.classes  = classes;
    }

    public String getUser() {
        return user;
    }

    public void setUser(String user) {
        this.user = user;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getDialect() {
        return dialect;
    }

    public void setDialect(String dialect) {
        this.dialect = dialect;
    }

    public String getDriver() {
        return driver;
    }

    public void setDriver(String driver) {
        this.driver = driver;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public Class [] getClasses() {
        return classes;
    }

    public void setClasses(Class [] classes) {
        this.classes = classes;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
